Name:          chromaprint
Version:       1.3.2
Release:       1mamba
Summary:       A client-side library that implements a custom algorithm for extracting fingerprints from any audio source
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://acoustid.org/chromaprint/
Source:        https://bitbucket.org/acoustid/chromaprint/downloads/chromaprint-%{version}.tar.gz
#Source:        https://github.com/downloads/lalinsky/chromaprint/chromaprint-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Chromaprint is a client-side library that implements a custom algorithm for extracting fingerprints from any audio source.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A client-side library that implements a custom algorithm for extracting fingerprints from any audio source

%description -n lib%{name}
Chromaprint is a client-side library that implements a custom algorithm for extracting fingerprints from any audio source.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
#Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libchromaprint.so.*
%doc COPYING.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/chromaprint.h
%{_libdir}/libchromaprint.so
%{_libdir}/pkgconfig/libchromaprint.pc


%changelog
* Thu Sep 01 2016 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic update by autodist

* Sat Feb 27 2016 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Fri Feb 05 2016 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Sat Sep 13 2014 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic update by autodist

* Thu May 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-2mamba
- ffmpeg 2.2 rebuild

* Sun Nov 24 2013 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic version update by autodist

* Fri Sep 13 2013 Automatic Build System <autodist@mambasoft.it> 1.0-1mamba
- update to 1.0

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 0.7-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6-1mamba
- package created by autospec
